<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="{{cdn_asset('/assets/css/bootstrap.min.css')}}" rel="stylesheet">
    <title>tijian</title>
    <script type="text/javascript">
        (function (doc, win) {
            var docEl = doc.documentElement,
                resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
                recalc = function () {
                    var clientWidth = docEl.clientWidth;
                    if (!clientWidth) return;
                    if(clientWidth>=640){
                        docEl.style.fontSize = '100px';
                    }else{
                        docEl.style.fontSize = 100 * (clientWidth / 640) + 'px';
                    }
                };

            if (!doc.addEventListener) return;
            win.addEventListener(resizeEvt, recalc, false);
            doc.addEventListener('DOMContentLoaded', recalc, false);
        })(document, window);
    </script>
    <style type="text/css">
        .all{
            width: 100%;
            height: auto;
        }
        img{
            width: 50px;
            height: 50px;
            margin-top: 18px;
        }
        h3{
            text-align: center;
        }
        .all .main{
            flex-wrap: wrap;
            display: flex;
        }
        .all .input-group{
            margin:4px 6%;
        }
        .all .danxuan{
            width: 66.66%;
            margin: 4px 16.66%;
        }
        #tanchuang{
            position: fixed;
            z-index: 999;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            background: rgba(0,0,0,0.5);
        }
        #tanchuang .tanbox{
            width: 240px;
            height: auto;
            background: #fff;
            position: absolute;
            left: 50%;
            top: 50%;
            margin-left: -120px;
            margin-top: -60px;
            border-radius: 15px;
        }
        .tanbox .status{
            width: 80%;
            height: 70%;
            margin: 10%;
        }
        .tanbox .status text{
            display: inline-block;
            width: 100%;
            text-align: center;
            margin-top: 10px;
        }
        .tanbox .status .title{
            display: inline-block;
            width: 100%;
            font-size: 20px;
            font-weight: 700;
            text-align: center;
            color: #f04;
            margin-top: 10px;
        }
        .tanbox .status button{
            width: 80px;
            margin-left: 52px;
            margin-top: 10px;
        }
        .tanbox .b2 button{
            width: 90px;
            margin-left: 7px;
            margin-top: 10px;
            margin-bottom: 30px;
        }
        .imgbox img{
            height: 40px;
        }
        .tanbox .b2 button{
            width: 70%;
            margin:5px 15%;
        }
    </style>
</head>
<body>
<script type="text/javascript">
    var url = '';
    var downurl = '';
    var downloadurl = '';
    var yan = 0;
    var countdown = 60;
    var sending = false;
    function settime(obj) { //发送验证码倒计时
        console.log(obj)

        if (countdown == 0) {
            obj.attr('disabled', false);
            obj.val("发送验证码");
            countdown = 60;
            sending = false;
            return;
        } else {
            obj.attr('disabled', true);
            obj.val("重新发送(" + countdown + ")");
            countdown--;
        }
        setTimeout(function () {
            settime(obj);
        }, 1000)
    }

    function submits(){
        var mobile = $('#mobile').val();
        var verify = $('#verify').val();
        if(mobile == '' || !phonenum(mobile)){
            alert('请输入正确手机号!');
        }else if(verify == ''){
            alert('请输入验证码！')
        }else{
            $.ajax({
                url:"{{ url('/web/Index/index') }}",
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}"
                },
                type:'POST',
                data:{
                    mobile:mobile,
                    verify:verify
                },
                success:function (msg) {
                    if(msg.state ==0){
                        tijiao(0,'','',msg.err);
                    } else if(msg.state ==1){
                        tijiao(1,msg.redirect_url,'',msg.err);
                    } else if(msg.state ==2){
                        tijiao(2,msg.redirect_url,msg.pdf_url,msg.download_url,msg.err);
                    }
                }
            });
        }

    }

    function tijiao(status,redirect_url,pdf_url,download_url,ttt){
        window.url = redirect_url;
        window.downurl = pdf_url;
        window.downloadurl = download_url;
        var tanc=document.getElementById("tanchuang")
        tanc.style="display:auto;"
        //   var status = 0
        var tbox = document.getElementsByClassName("status");
        if(status==0){
            tbox[0].style="display:auto;"
            tbox[1].style="display:none;"
            tbox[2].style="display:none;"
            var txt1 = document.getElementById("txt1");
            txt1.innerHTML = ttt+'!';
            console.log(txt1)
        }else if(status==1){
            tbox[1].style="display:auto;"
            tbox[0].style="display:none;"
            tbox[2].style="display:none;"
            var txt2 = document.getElementById("txt2");
            txt2.innerHTML = ttt+'!';
            console.log(txt2)
        }else{
            tbox[1].style="display:none;"
            tbox[0].style="display:none;"
            tbox[2].style="display:auto;"
            var txt3 = document.getElementById("txt3");
            txt3.innerHTML = ttt+'!';
            console.log(txt3)
        }
    }
    function thebtn(e){
        var id = e.id;
        console.log(id)
        if(id=='fail'){
            closebox();
        }else if(id=='yeah'){
            window.location.href=url
        }else if(id=='download'){
            window.location.href = downurl;
        }else if(id=='download'){
            window.location.href = downloadurl;
        }else{
            window.location.href=url
        }
    }
    function closebox(){
        var tanc=document.getElementById("tanchuang")
        tanc.style="display:none;"
    }
    function phonenum(phone) {
        var myreg=/^[1][3,4,5,7,8][0-9]{9}$/;
        if (!myreg.test(phone)) {
            return false;
        } else {
            return true;
        }

    }
    function closeyan(){
        var yanz=document.getElementById("yanz")
        yanz.style="display:none;";
    }
    function yanzhengma(){

        var mobile = $('#mobile').val();
        if(mobile == '' || !phonenum(mobile)){
            alert('请输入正确手机号');
        }else{
            var yanzheng = document.getElementById("yzma");
            yanzheng.style="display:auto;";
            sending = true;
            var obj = $("#fasong");
            settime(obj);
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}"
                },
                type:'POST',
                data:{
                    mobile:mobile
                },
                url:"{{ url('/web/Index/getCode') }}",
                success:function (msg) {
                    var data = eval('('+msg+')');
                    console.log(data['msg']);
                    if(data['state'] ==1){
                        alert('发送成功');
                    }else{
                        alert(data['msg']);
                    }
                }
            });
        }

    }
</script>
<div class="all">
    <div class="col-xs-0 col-lg-2"></div>
    <div class="col-xs-12 col-lg-8 main" style="margin: 0 auto;margin-top: 10px;">
        <div class="col-xs-12 col-lg-12 imgbox" style="width:100%;margin-bottom:20px;display: flex;height: auto;" >
            <img  class="col-xs-3 col-lg-2" src="{{cdn_asset('/assets/img/logo.jpg')}}">
            <img  class="col-xs-9 col-lg-10" src="{{cdn_asset('/assets/img/top.jpg')}}" alt="">
        </div>

        <form id="tform" class="bs-example bs-example-form" role="form">
            <div class="col-xs-10 col-lg-10 input-group">
                <span class="input-group-addon">手机号:</span>
                <input type="text" name="mobile" id="mobile" class="form-control" placeholder="请输入手机号" required="">
            </div>
            <div id="yzma" class="col-xs-10 col-lg-10 input-group">
                <span  class="input-group-addon">验证码:</span>
                <input type="text" name="verify" id="verify" class="form-control" placeholder="请输入验证码" required="">
            </div>
            <div class="col-xs-10 col-lg-10 btn" style="display: flex;margin: 4px 6%;">
                <input style="display:inline-block;height: 30px;font-size:10px;width: 40%;margin-right: 20px;" class="btn btn-default" id="fasong" value="获取验证码" onclick="yanzhengma()">
                <button style="margin-bottom: 20px;height: 30px;width: 40%;font-size:10px;" type="button" onclick="submits()" class="btn btn-default">提交</button>
            </div>
    </div>
    <div id="tanchuang" style="display: none;">
        <div class="tanbox">
            <div style="width: 20px;height: 20px;text-align: center;position: absolute;top: -5px;right: -5px;background: #000;font-weight:700;color:#fff;border-radius: 20px;" onclick="closebox()">X</div>
            <div class="status b0">
                <text id="txt1" class="title"></text>
            </div>
            <div class="status b1">
                <text id="txt2" class="title"></text>
                <button class="btn btn-default" id="yeah" type="button" onclick="thebtn(this)">查看详情！</button>
            </div>
            <div class="status b2">
                <text id="txt3" class="title"></text>
                <button class="btn btn-default" id="next" type="button" onclick="thebtn(this)">查看详情！</button>
                <button class="btn btn-default" id="download" type="button" onclick="thebtn(this)">查看反馈！</button>
                <button class="btn btn-default" id="downloadurl" type="button" onclick="thebtn(this)">下载！</button>
            </div>
        </div>
    </div>
    </form>
</div>
</div>
<!-- jQuery (Bootstrap 的 JavaScript 插件需要引入 jQuery) -->
<script src="{{cdn_asset('/assets/js/jquery-3.2.1.js')}}"></script>
<script src="{{cdn_asset('/assets/js/bootstrap.min.js')}}"></script>

</body>
</html>